<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('highscore_cache', function (Blueprint $table) {
            $table->id();
            $table->text('name');
            $table->integer('job');
            $table->integer('empire');
            $table->bigInteger('level');
            $table->bigInteger('exp');
            $table->timestamp('date')->useCurrent();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('highscore_cache');
    }
};
